%define upstream_name		Term-Clui
%define upstream_version 1.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Term::ReadLine)
BuildArch:  noarch

%description
Term::Clui offers a high-level user interface to give the user of
command-line applications a consistent "look and feel". Its metaphor
for the computer is as a human-like conversation-partner, and as each
question/response is completed it is summarised onto one line, and
remains on screen, so that the history of the session gradually
accumulates on the screen and is available for review, or for
cut/paste. This user interface can therefore be intermixed with
standard applications which write to STDOUT or STDERR, such as
make, pgp, rcs etc.

For the user, &choose uses arrow keys (or hjkl) and Return or q;
also SpaceBar for multiple choices. &confirm expects y, Y, n or N.
In general, ctrl-L redraws the (currently active bit of the) screen.
&edit and &view use the default EDITOR and PAGER if possible.

It's fast, simple, and has few external dependencies. It doesn't use curses
(which is a whole-of-screen interface); it uses a small subset of vt100
sequences (up down left right normal and reverse) which are very portable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Term
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.760.0-3.mga9
+ Revision: 1812034
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.760.0-2.mga8
+ Revision: 1537312
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 tv <tv> 1.760.0-1.mga8
+ Revision: 1456574
- update to 1.76

* Wed Oct 17 2018 shlomif <shlomif> 1.750.0-1.mga7
+ Revision: 1321479
- update to 1.75

* Thu Sep 20 2018 umeabot <umeabot> 1.730.0-2.mga7
+ Revision: 1286392
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.730.0-1.mga7
+ Revision: 1254042
- update to 1.73

* Wed Jul 04 2018 shlomif <shlomif> 1.720.0-1.mga7
+ Revision: 1241654
- update to 1.72

* Mon Oct 09 2017 tv <tv> 1.710.0-4.mga7
+ Revision: 1170580
- patch 0: fix broken deps

* Tue Oct 03 2017 tv <tv> 1.710.0-3.mga7
+ Revision: 1166689
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.710.0-2.mga7
+ Revision: 1160997
- rebuild for perl-5.26.1, thus fixing deps

* Wed Aug 02 2017 sander85 <sander85> 1.710.0-1.mga7
+ Revision: 1134153
- update to 1.71

* Sun Jun 19 2016 pterjan <pterjan> 1.700.0-3.mga6
+ Revision: 1033922
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.700.0-2.mga6
+ Revision: 966933
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 847124
- update to 1.70

* Wed Oct 15 2014 umeabot <umeabot> 1.690.0-3.mga5
+ Revision: 745222
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.690.0-2.mga5
+ Revision: 686365
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 1.690.0-1.mga5
+ Revision: 652916
- update to 1.69
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.680.0-1.mga4
+ Revision: 487057
- update to 1.68

* Fri Jun 07 2013 jquelin <jquelin> 1.670.0-1.mga4
+ Revision: 439924
- update to 1.67

* Sun Jan 13 2013 umeabot <umeabot> 1.660.0-2.mga3
+ Revision: 373212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 kharec <kharec> 1.660.0-1.mga3
+ Revision: 288878
- update to 1.66

* Tue Jun 05 2012 jquelin <jquelin> 1.650.0-1.mga3
+ Revision: 255485
- update to 1.65

* Thu Jan 20 2011 jquelin <jquelin> 1.640.0-1.mga1
+ Revision: 27071
- mageia rebuild
- imported package perl-Term-Clui


* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.640.0-1mdv2011.0
+ Revision: 602391
- update to new version 1.64

* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.620.0-1mdv2011.0
+ Revision: 596035
- update to new version 1.62

* Fri Oct 22 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.610.0-1mdv2011.0
+ Revision: 587322
- Update to version 1.61

* Fri Jun 04 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.560.0-1mdv2011.0
+ Revision: 547079
- Update to 1.56

* Fri May 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.540.0-1mdv2010.1
+ Revision: 543137
- Update to 1.54 (brings mouse support, fixes some bugs
- Spec little cleanup about spaces and tabs

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.440.0-1mdv2010.1
+ Revision: 461029
- update to 1.44

* Mon Oct 05 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.430.0-1mdv2010.0
+ Revision: 453864
- New version 1.43

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.420.0-1mdv2010.0
+ Revision: 449990
- update to 1.42

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.410.0-1mdv2010.0
+ Revision: 409023
- rebuild using %%perl_convert_version

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2009.1
+ Revision: 353022
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.40-4mdv2009.0
+ Revision: 258487
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.40-3mdv2009.0
+ Revision: 246515
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.40-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.40-1mdv2008.0
+ Revision: 68947
- 1.40

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.39-1mdv2008.0
+ Revision: 22087
- 1.39


* Sun Nov 12 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.37-1mdv2007.0
+ Revision: 83527
- 1.37
- Import perl-Term-Clui

* Tue Aug 22 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.36-1mdv2007
- Version 1.36
- Fix in the source address

* Sat May 06 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.35-2mdk
- Minor fix to better follow Perl Policy

* Thu May 04 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.35-1mdk
- Initial Mandriva release

